# clock_base< DESC > Class Template Reference

clock abstraction More...

`#include <_clock_base.h>`

List of all members.

## Public Types

typedef DESC::value_type | value_type

## Public Member Functions

| clock_base ()
void | reset ()
value_type | operator() () const
value_type | pop_time ()

## Static Public Member Functions

static void | sleep (const value_type &length)

## Private Types

typedef clock_base< DESC > | _clock
typedef DESC::timestamp | timestamp

## Private Attributes

timestamp | base_time

## Detailed Description

### template<class DESC>
class clock_base< DESC >

clock abstraction

========================================================================

A more detailed description needs to be written.

Definition at line 55 of file _clock_base.h.

## Member Typedef Documentation

template<class DESC>

typedef DESC::value_type clock_base< DESC >::value_type

Definition at line 58 of file _clock_base.h.

template<class DESC>

typedef clock_base<DESC> clock_base< DESC >::_clock `[private]`

Definition at line 61 of file _clock_base.h.

template<class DESC>

typedef DESC::timestamp clock_base< DESC >::timestamp `[private]`

Definition at line 62 of file _clock_base.h.

## Constructor & Destructor Documentation

template<class DESC>

clock_base< DESC >::clock_base | ( |  | ) | `[inline]`

Definition at line 71 of file _clock_base.h.

References clock_base< DESC >::reset().

## Member Function Documentation

template<class DESC>

void clock_base< DESC >::reset | ( |  | ) | `[inline]`

Definition at line 73 of file _clock_base.h.

References clock_base< DESC >::base_time.

Referenced by clock_base< DESC >::clock_base(), and clock_base< DESC >::sleep().

template<class DESC>

value_type clock_base< DESC >::operator() | ( |  | ) | const`[inline]`

Definition at line 76 of file _clock_base.h.

References clock_base< DESC >::base_time.

template<class DESC>

value_type clock_base< DESC >::pop_time | ( |  | ) | `[inline]`

Definition at line 79 of file _clock_base.h.

References clock_base< DESC >::base_time.

template<class DESC>

static void clock_base< DESC >::sleep | ( | const value_type & | length | ) | `[inline, static]`

Definition at line 91 of file _clock_base.h.

References clock_base< DESC >::reset().

## Member Data Documentation

template<class DESC>

timestamp clock_base< DESC >::base_time `[private]`

Definition at line 64 of file _clock_base.h.

Referenced by clock_base< DESC >::operator()(), clock_base< DESC >::pop_time(), and clock_base< DESC >::reset().

The documentation for this class was generated from the following file:

- _clock_base.h